#  1 Aug 26

# Force make on windows to use a useful shell
SHELL=sh

# Some directories
BIN_DIR=bin

#CC=/usr1/expsrc/xgcc-4.0.2/objdir/gcc/xgcc -B/usr1/expsrc/xgcc-4.0.2/objdir/gcc/ -fbounds-checking -DVALGRIND
CC=@CC@

CFLAGS=@CFLAGS@
LFLAGS=@LDFLAGS@
LIBS=@LIBS@

E_OBJ = src/numbers.o \
	src/options.o \
	src/readdb.o \
	src/global.o \
	src/errors.o \
	src/comments.o \
	src/fltval.o \
	src/utils.o \
	src/levkeydist.o \
	src/arccomp.o \
	src/singlefile.o \
	src/chkfiles.o \
	src/printnum.o \
	src/matchnum.o \
	src/needs.o \
	src/hashtab.o \
	src/hashfunc.o \
	src/usage.o \
	src/words.o \
	src/isprop.o \
	hash/hashtable.o \
	hash/hashtable_itr.o

all:
	cd hash ; $(MAKE)
	cd src ; $(MAKE)
	$(CC) $(LFLAGS) $(E_OBJ) $(LIBS) -o numbers

clean:
	rm src/*.o hash/*.o

